﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;
using X3g.Plugin;

namespace SamplePlugin.CustomEntity
{
    class CustomPropertyProvider : X3g.Plugin.IPropertyCallbacks    
    {
        const string PropertyKey_ProductImage = "Product image";
        
        public IList<IPropertyDescriptor> GetProperties()
        {
            var imageProperty = new PropertyDescriptor(PropertyKey_ProductImage, PropertyType.Image, I18N._("Product image"), string.Empty);
            var props = new List<IPropertyDescriptor>
            {
                imageProperty
            };
            return props;
        }

        public PropertyState GetPropertyState(string pKey)
        {
            return PropertyState.Enabled;
        }

        public PropertyValue GetPropertyValue(string pKey)
        {
            if (pKey == PropertyKey_ProductImage)
            {
                FileInfo assembly = new FileInfo(Assembly.GetExecutingAssembly().Location);
                string imageFileName = Path.Combine(assembly.DirectoryName, "plannerLogo.png");                
                FileInfo imageFile = new FileInfo(imageFileName);
                if (!imageFile.Exists)
                    return null;
                BitmapImage bImage = new BitmapImage();
                bImage.BeginInit();
                bImage.UriSource = new Uri(imageFileName);
                bImage.DecodePixelWidth = 200;
                bImage.EndInit();
                var productImage = new ImagePropertyValue(bImage, 1);
                return productImage;
            }
            return null;
        }

        public void SetPropertyValue(string pKey, PropertyValue pValue)
        {            
        }
    }
}
