﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="3.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl">
    <xsl:output method="xml" indent="yes" />
    <xsl:template match="@* | node()">
  	<xliff srcLang="en" trgLang="de">
	<file id="Pcon planner ui">
		<notes>
			<note id="Pcon planner ui">Generated translation file for Pcon Planner UI</note>
		</notes>
		<group id="actions">
		    <xsl:for-each select="actions/action">			
				<xsl:if test="caption[not(@lang)]">
					<unit>
						<xsl:attribute name="id">
							<xsl:value-of select="@command" /><xsl:value-of select="@params" />
						</xsl:attribute>	
					<segment id="caption">					
						<source><xsl:value-of select="caption[not(@lang)]"/></source>
					</segment>
					<xsl:if test="hint[not(@lang)]">
						<segment id="hint">					
							<source><xsl:value-of select="hint[not(@lang)]"/></source>
						</segment>
					</xsl:if>
					<xsl:if test="description[not(@lang)]">
						<segment id="description">					
							<source><xsl:value-of select="description[not(@lang)]"/></source>
						</segment>
					</xsl:if>
					</unit>
				</xsl:if>
            </xsl:for-each>
		</group>
		<group id="items">
		    <xsl:for-each select="items/item">
				<xsl:if test="caption[not(@lang)]">
					<unit>
						<xsl:attribute name="id">
							<xsl:value-of select="@name" />
						</xsl:attribute>	
						<notes>
							<note id="type"><xsl:value-of select="@type"/></note>						
							<note id="actionKey"><xsl:value-of select="@actionKey"/></note>
						</notes>
					<segment id="caption">					
						<source><xsl:value-of select="caption[not(@lang)]"/></source>
					</segment>
					<xsl:if test="hint[not(@lang)]">
						<segment id="hint">					
							<source><xsl:value-of select="hint[not(@lang)]"/></source>
						</segment>
					</xsl:if>
					<xsl:if test="description[not(@lang)]">
						<segment id="description">					
							<source><xsl:value-of select="description[not(@lang)]"/></source>
						</segment>
					</xsl:if>
					</unit>
				</xsl:if>
            </xsl:for-each>
		</group>
		<group id="toolBars">
		    <xsl:for-each select="toolBars/toolBar">			
				<xsl:if test="caption[not(@lang)]">
					<unit>
						<xsl:attribute name="id">
							<xsl:value-of select="@name" />
						</xsl:attribute>	
					<segment id="caption">					
						<source><xsl:value-of select="caption[not(@lang)]"/></source>
					</segment>
					</unit>
				</xsl:if>
            </xsl:for-each>
		</group>
		<group id="tabs">
		    <xsl:for-each select="tabs/tab">					
				<xsl:if test="caption[not(@lang)]">
					<unit>
						<xsl:attribute name="id">
							<xsl:value-of select="@name" />
						</xsl:attribute>	
					<notes>
						<note id="keyTip"><xsl:value-of select="@keyTip"/></note>		
					</notes>
					<segment id="caption">					
						<source><xsl:value-of select="caption[not(@lang)]"/></source>
					</segment>
					</unit>
				</xsl:if>
            </xsl:for-each>
		</group>
	</file>
	</xliff>
    </xsl:template>
</xsl:stylesheet>
